> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Tx Ops Execute Group

> Name and signature indicate it changes tx ops execute group

Not available to API keys yet. It will need `payments:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /stablecoin-payroll/tx-ops-execute-group
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/tx-ops-execute-group:
    post:
      operationId: txOpsExecuteGroup
      summary: Tx Ops Execute Group
      description: |-
        Name and signature indicate it changes tx ops execute group

        Not available to API keys yet. It will need `payments:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TxOpsExecuteGroupRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TxOpsExecuteGroupResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    TxOpsExecuteGroupRequest:
      type: object
      properties:
        batchID:
          type: string
          format: uuid
        groupKey:
          type: string
          minLength: 1
        provider:
          type: string
          enum:
            - FIREBLOCKS
            - SAFE
            - SQUADS
            - COINBASE_PRIME
            - ANCHORAGE
            - BRIDGE
            - DIRECT
            - AIRWALLEX
            - FILECOIN
            - FORDEFI
            - HOT_WALLET
            - BITGO
        sourceWallet:
          type: object
          properties:
            address:
              type: string
              minLength: 1
            type:
              type: string
              enum:
                - CUSTODY_WALLET
                - SAFE_MULTISIG
                - USER_WALLET
                - EXCHANGE_ACCOUNT
                - FIAT_ACCOUNT
            custodyWalletID:
              type:
                - string
                - 'null'
            label:
              type: string
            delegateAddress:
              type:
                - string
                - 'null'
            supportsBatching:
              type: boolean
          required:
            - address
            - type
            - custodyWalletID
            - label
            - delegateAddress
            - supportsBatching
        reviewedBankPayouts:
          type: array
          items:
            type: object
            properties:
              paymentIntentID:
                type: string
                format: uuid
              hrisBankAccountID:
                type: string
                format: uuid
              bankUpdatedAt:
                type: string
            required:
              - paymentIntentID
              - hrisBankAccountID
              - bankUpdatedAt
          maxItems: 1000
        payBeforeRelease:
          type: boolean
      required:
        - batchID
        - groupKey
        - provider
        - sourceWallet
    TxOpsExecuteGroupResponse:
      type: object
      properties:
        attemptID:
          type: string
        attemptNumber:
          type: integer
        provider:
          type: string
        status:
          type: string
        transactionCount:
          type: integer
        transactions:
          type: array
          items:
            type: object
            properties:
              transactionID:
                type: string
              status:
                type: string
              providerTransactionID:
                type:
                  - string
                  - 'null'
              errorCode:
                type:
                  - string
                  - 'null'
              errorMessage:
                type:
                  - string
                  - 'null'
              errorStage:
                type:
                  - string
                  - 'null'
              isRetryable:
                type: boolean
            required:
              - transactionID
              - status
              - providerTransactionID
              - errorCode
              - errorMessage
              - errorStage
              - isRetryable
      required:
        - attemptID
        - attemptNumber
        - provider
        - status
        - transactionCount
        - transactions
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
